Page MenuHomePhabricator

[beginner] [recurring] Retest 2 old open bug reports in Wikimedia's issue tracker
Open, Needs TriagePublic

Description

This is a placeholder task for the list of potential tasks when applying as an organization for Google Code-in.

This is a Google-Code-in-2019 task (and was previously Google-Code-in-2017 and Google-Code-in-2018).

1. Read [How To Triage](https://www.mediawiki.org/wiki/Bug_management/How_to_triage).
2. [Log into our issue tracker](https://www.mediawiki.org/wiki/Phabricator/Help) (called Phabricator).
3. Go to [Phabricator's advanced search](https://phabricator.wikimedia.org/maniphest/query/advanced/), set the "Statuses" field to "Open", set "Projects" to "testme" & set the "Updated Before" field accordingly (see [Searching For Items](https://www.mediawiki.org/wiki/Phabricator/Help#Searching_for_items)). Tasks in the "testme" project are bugs that someone wants to see retested.
4. Read those reports that interest you & try to understand them (if they are too complicated or advanced you have to choose other reports instead. This can happen quite often but it helps getting an idea of how complex software can be).
5. If you think you understand what the report is about (this might require looking up docs): Test if you can still reproduce the reported problem (and if the steps to reproduce are clear).
6. Add a comment in Phabricator & explain clearly which steps you performed (step by step) and the version you tested with (e.g. for MediaWiki you can find this information on the page "Special:Version"). Remove the "testme" project from the task by clicking "Edit the task".
7. Note: Some tasks might be easy to retest (for example on https://test2.wikipedia.org) and some might require [setting up MediaWiki yourself](https://www.mediawiki.org/wiki/How_to_become_a_MediaWiki_hacker) - it's up to you!
8. Paste the links here to those tasks that you retested.
9. Thanks for helping clean up the backlog of open tasks!

Event Timeline

Aklapper updated the task description. (Show Details)Nov 20 2017, 1:14 PM
Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptJan 12 2018, 12:18 AM
Zoranzoki21 removed Zoranzoki21 as the assignee of this task.Jan 12 2018, 6:09 PM
Zoranzoki21 added a subscriber: Zoranzoki21.
Zoranzoki21 closed this task as Resolved.EditedJan 14 2018, 2:03 PM
Zoranzoki21 claimed this task.

I can tell, to I did this. T57240 and T73817

Zoranzoki21 moved this task from Working on to Done on the User-Zoranzoki21 board.Jan 14 2018, 2:04 PM
Aklapper reopened this task as Open.Jan 14 2018, 2:38 PM
Aklapper removed Zoranzoki21 as the assignee of this task.

This is a placeholder task with several instances

This is a placeholder task with several instances

Oh ok. Accept my task for thanks extension if is all ok. Ok?

Aklapper closed this task as Declined.Jan 17 2018, 6:42 PM

Closing this task as it was a placeholder in Phab for Google-Code-in-2017 which is ending these days (no more new tasks can be claimed from now on in GCI 2017).

Aklapper reopened this task as Open.Sep 17 2018, 6:36 PM
Aklapper added a project: Google-Code-in-2018.

Reopening for GCI 2018

D3r1ck01 updated the task description. (Show Details)Sep 20 2018, 8:43 PM

Will help mentor this for Google-Code-in-2018.

Aklapper closed this task as Declined.Jan 14 2019, 8:25 PM

Closing this task as it was a placeholder in Phab for Google-Code-in-2018 which has ended.

Urbanecm reopened this task as Open.Oct 11 2019, 5:22 PM
Urbanecm added a project: Google-Code-in-2019.
Urbanecm updated the task description. (Show Details)
Urbanecm added a subscriber: Urbanecm.

Imported as https://codein.withgoogle.com/tasks/5189439135940608/. All mentors should feel free to claim it!